user
Copy Page
My Project
Start your Apidog journey
petstore
user
Get user by user name
GET
Updated user
PUT
Delete user
DELETE
Create user
POST
Creates list of users with given input array
POST
Creates list of users with given input array
POST
Logs out current logged in user session
GET
Logs user into the system
GET
pet
Update an existing pet
Add a new pet to the store
Find pet by ID
Updates a pet in the store with form data
Deletes a pet
uploads an image
Finds Pets by tags
Finds Pets by status
store
Place an order for a pet
Find purchase order by ID
Delete purchase order by ID
Returns pet inventories by status
Schemas
Sample Schemas
RequestBodies
Schemas
User
Category
Pet
Tag
Order
ModelApiResponse
user
Copy Page
Delete user
DELETE
/v2/user/{username}
Try it
Run in Apidog
Run in Apidog
This can only be done by the logged in user.
Request
Path Params
Generate Code
Responses
ðŸŸ
400
Bad Request
Invalid username supplied
This response does not have a body.
ðŸŸ
404
Record Not Found
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'/v2/user/'
Modified atÂ
2025-06-05 06:33:15
Previous
Updated user
Next
Create user